Page MenuHomePhabricator

Unable to query spaces via Conduit to find their PHID
Closed, ResolvedPublic

Description

I wanted to find a space's PHID so I could pass it as a value to the "space" transaction for maniphest.edit, but there's no Conduit APIs to query this data (and it isn't exposed elsewhere as far as I can see). I ended up having to use bin/storage shell to find it.

I needed to put the task in the space as we have a public contact us form, and we wanted to put all of the public responses in a space where only members of the company could see it. We have a separate "Contact Us" space from our "Internal Only" space so that if the API token used by the public contact form ever leaks, it will only provide read access to public tasks and Contact Us responses, not all of the company's internal tasks.

Presumably this will happen once Spaces is converted to ApplicationEditor (because it'll get spaces.search for free), but I wanted to file this task because it might encourage Spaces to be higher up in the list of applications to convert over to ApplicationEditor.

Event Timeline

hach-que created this task.Jan 9 2016, 12:55 PM
hach-que updated the task description. (Show Details)
hach-que updated the task description. (Show Details)

You can look up the PHID with phid.lookup.

epriestley closed this task as Resolved.Jan 12 2016, 3:12 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

Yeah, use phid.lookup.

urzds added a subscriber: urzds.May 14 2019, 12:29 PM